aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-chinook-sources
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-03-06 22:08:55 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-03-06 22:12:54 +0100
commitf37c3b60c7cbe5bdba30ee0cb60168987d7c1e49 (patch)
tree2d59aeed26328a759f584523b5b3e7e6734cc8dc /jjb/release-jjb-chinook-sources
parentece4d84f500a9ecb34cabe92edaeee7993e282f8 (diff)
Add release and source generation for chinook in jjb
Release (binary) generation and source tarball generation for chinook as jjb template. Change-Id: Ic2b8a8a86cce4d580a308ace96e839615c3f6fe1 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/release-jjb-chinook-sources')
-rw-r--r--jjb/release-jjb-chinook-sources/include-release-jjb-chinook-release-sources-rsync.sh52
-rw-r--r--jjb/release-jjb-chinook-sources/release-jjb-chinook-sources.yaml67
2 files changed, 119 insertions, 0 deletions
diff --git a/jjb/release-jjb-chinook-sources/include-release-jjb-chinook-release-sources-rsync.sh b/jjb/release-jjb-chinook-sources/include-release-jjb-chinook-release-sources-rsync.sh
new file mode 100644
index 00000000..2958476b
--- /dev/null
+++ b/jjb/release-jjb-chinook-sources/include-release-jjb-chinook-release-sources-rsync.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+#set -x
+set -e
+echo "#######################################"
+echo "#######################################"
+ls -alh
+echo "#######################################"
+echo "#######################################"
+tree -L 2
+echo "#######################################"
+echo "#######################################"
+set | grep MACHINE
+echo "#######################################"
+echo "#######################################"
+set
+echo "#######################################"
+echo "#######################################"
+
+cd repoclone/output
+
+export RSYNCDST="jenkins-slave@10.30.72.8:/srv/download/AGL/release/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+export RSYNCSRC=$(pwd)/UPLOAD/
+
+# construct upload folder
+mv UPLOAD UPLOAD2 || true
+rm -rf UPLOAD2 || true
+mkdir -p UPLOAD/${MACHINE}
+export DEST=$(pwd)/UPLOAD/${MACHINE}
+
+# save space ... remove the rpms
+rm -rf tmp/deploy/rpm || true
+
+rsync -avr --progress --delete tmp/deploy $DEST/
+rsync -avr --progress --delete tmp/log $DEST/
+
+cp ../../current_default.xml $DEST/${MACHINE}_repo_default.xml
+cp conf/local.conf $DEST/local.conf
+cp conf/auto.conf $DEST/auto.conf
+echo "$BUILD_URL" > $DEST/jenkins.build.url
+
+tree $DEST
+
+ls -alhR $DEST
+
+echo "would do rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+
+if test x"yes" = x"$UPLOAD" ; then
+ rsync -avr -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC $RSYNCDST
+fi
+
+exit 0 \ No newline at end of file
diff --git a/jjb/release-jjb-chinook-sources/release-jjb-chinook-sources.yaml b/jjb/release-jjb-chinook-sources/release-jjb-chinook-sources.yaml
new file mode 100644
index 00000000..284308e8
--- /dev/null
+++ b/jjb/release-jjb-chinook-sources/release-jjb-chinook-sources.yaml
@@ -0,0 +1,67 @@
+- project:
+ name: release-jjb-chinook-sources
+ jobs:
+ - release-jjb-chinook-sources
+
+- job-template:
+ name: 'release-jjb-chinook-sources'
+ project-type: freestyle
+ concurrent: false
+ node: agl-test-slave
+
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: AGL/AGL-repo
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: chinook
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/tags/3.0.2
+ description: "refspec to build"
+ - string:
+ name: RELEASE_VERSION
+ default: 3.0.2
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: chinook
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-repo.sh
+ - ../common/include-agl-select.sh
+ - ../common/include-agl-source-aglsetup.sh
+# - ../common/include-agl-auto-conf.sh
+# - ../common/include-agl-limit-parallelism.sh
+# - ../common/include-agl-cat-auto-conf.sh
+# - ../common/include-agl-local-conf-archiver.sh
+# - ../common/include-agl-local-conf-isafw.sh
+# - ../common/include-agl-local-conf-vmdk.sh
+# - ../common/include-agl-bitbake-image.sh
+# - ../common/include-agl-bitbake-sdk.sh
+# - ../common/include-agl-test-nbd-short.sh
+# - shell:
+# !include-raw-escape:
+# - include-release-jjb-chinook-release-sources-rsync.sh
+